document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Market ticker animation
    const tickerItems = document.querySelectorAll('.ticker-item');
    setInterval(() => {
        tickerItems.forEach(item => {
            const change = (Math.random() * 2 - 1).toFixed(2);
            const span = item.querySelector('span:last-child');
            span.textContent = `${change}%`;
            span.style.color = change > 0 ? '#48bb78' : '#f56565';
        });
    }, 3000);

    // Form submission handling
    const form = document.querySelector('form');
    if (form) {
        form.addEventListener('submit', (e) => {
            e.preventDefault();
            const formData = new FormData(form);
            // Add form submission logic here
            alert('Thank you for your interest! We will contact you soon.');
            form.reset();
        });
    }

    // Add parallax effect to hero section
    window.addEventListener('scroll', () => {
        const hero = document.querySelector('.hero');
        const scrolled = window.pageYOffset;
        hero.style.backgroundPositionY = scrolled * 0.5 + 'px';
    });
});